Subject: Re: bug#34025: [PATCH] Update meson to 0.49.0

From: Leo Famulari <[email-masked]>
Date: Thu, 10 Jan 2019 15:22:02 -0500

On Thu, Jan 10, 2019 at 09:24:27AM +0200, Efraim Flashner wrote:
> On Wed, Jan 09, 2019 at 08:02:47PM -0500, Leo Famulari wrote:
> > On Wed, Jan 09, 2019 at 03:50:58PM -0700, Stuart Dilts wrote:
> > > * gnu/packages/build-tools.scm: update the version and sha256 hash
> > 
> > Thank you for sending this patch!
> > 
> > We actually already have this change on the 'staging' branch [0], in commit
> > f06fdbae8d6318fdabf9c1eb686e2bfa2b9ff18a.
> > 
> > Updating meson will trigger a rebuild of all the packages that use the
> > meson-build-system.
> > 
> > I'm not sure how to find out exactly how many packages directly and
> > indirectly depend on the meson-build-system, but since the change was
> > pushed to the staging branch, it's probably more than 300, which is the
> > limit for changes on the master branch.
> > 
> 
> guix refresh -l -e '(@@ (gnu packages build-tools) meson-for-build)'
> 
> another one that I've triggered accidentally is libva

Oh... I missed this package :)

So, Stuart, can you send a revised patch that updates the 'meson'
package while keeping 'meson-for-build' at 0.47.2?

The trick is to make the new meson available without having to rebuild
the Guix packages that use meson-for-build.

Concretely, you'd need to add a 'version' field to meson-for-build to
keep it at 0.47.2, and to add 'uri', and 'sha256' fields so that it
uses the correct source code.

You can check that meson-for-build is unchanged by comparing the
derivations before and after your modifications:

$ ./pre-inst-env guix build -d -e '(@@ (gnu packages build-tools) meson-for-build)'
/gnu/store/l5vlmc040fz2zmnb45vhbqhs6pi7iw6v-meson-for-build-0.47.2.drv

Because meson-for-build is a hidden package, you need to specify it with
that Scheme expression.